--- Debbugs/SOAP.pm	2009-08-15 19:02:13.000000000 -0700
+++ /usr/share/perl5/Debbugs/SOAP.pm	2009-12-23 13:33:53.000000000 -0800
@@ -49,6 +49,31 @@
 
 our $CURRENT_VERSION = 1;
 
+=head2 packages_exist
+
+     my %pkgs = packages_exist('pkg1', 'pkg2', 'src:srcpkg1');
+
+Returns a hashref of the packages, with a 0 value if it doesn't exist,
+and 1 value if it does exist.
+
+=cut
+
+sub packages_exist {
+     my $VERSION = __populate_version(pop);
+     my ($self, @list) = @_;
+     my %res;
+     foreach my $pkg(@list) {
+       my $keyword;
+       if($pkg =~ /^src:/) {
+         $keyword = "source";
+       } else {
+         $keyword = "binary";
+       }
+       $res{$pkg} = !!Debbugs::Common::package_maintainer($keyword => [($pkg)]) || 0;
+     }
+     return \%res;
+}
+
 =head2 get_usertag
 
      my %ut = get_usertag('don@donarmstrong.com','this-bug-sucks','eat-this-bug');
